#include <polymorphicClass.h>
#include <iostream>
void BaseClass::printClassName() { //The function in the base class.
    std::cout << "Base Class" << std::endl;
}

void DerivedClass1::printClassName() { //The overridden version of the same function.
    std::cout << "Derived Class 1" << std::endl; //These create "Virtual Function Table" entries.
}                                                //The V-Table stores pointers to which version of the function should be run for each derived class.
                                                 //You can also specifically run the version from the Base Class. In this case, BaseClass::printClassName();
void DerivedClass2::printClassName() {
    std::cout << "Derived Class 2" << std::endl;
}
